Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615537 - [abrt] crash in spe-0.8.4.h-6.fc12: _core.py:14586:__getattr__:PyDeadObjectError: The C++ part of the ListCtrl object has been deleted, attribute access no longer allowed. [NEEDINFO]
[abrt] crash in spe-0.8.4.h-6.fc12: _core.py:14586:__getattr__:PyDeadObjectEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spe (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
abrt_hash:602c193f
: Reopened
: 615220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 20:19 EDT by Phil V
Modified: 2011-06-01 09:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 08:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
triage: needinfo? (pv.bugzilla)


Attachments (Terms of Use)
File: backtrace (1.63 KB, text/plain)
2010-07-16 20:19 EDT, Phil V
no flags Details

  None (edit)
Description Phil V 2010-07-16 20:19:27 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/spe
component: spe
executable: /usr/bin/spe
kernel: 2.6.33.6-147.fc13.x86_64
package: spe-0.8.4.h-6.fc12
reason: _core.py:14586:__getattr__:PyDeadObjectError: The C++ part of the ListCtrl object has been deleted, attribute access no longer allowed.
release: Fedora release 13 (Goddard)

backtrace
-----
_core.py:14586:__getattr__:PyDeadObjectError: The C++ part of the ListCtrl object has been deleted, attribute access no longer allowed.

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/lib/evtmgr.py", line 442, in handleEvent
    self.publisher.sendMessage(topic=self.topic, data=event)
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/lib/pubsub/pubsub1/pub.py", line 750, in sendMessage
    self.__topicTree.sendMessage(aTopic, message, onTopicNeverCreated)
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/lib/pubsub/pubsub1/pub.py", line 423, in sendMessage
    deliveryCount += node.sendMessage(message)
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/lib/pubsub/pubsub1/pub.py", line 261, in sendMessage
    listener(message)
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/lib/evtmgr.py", line 480, in deliverEvent
    self.eventHandler(event)    # Perform the call as wxWindows would
  File "/usr/lib/python2.6/site-packages/spe/_spe/Child.py", line 1161, in updateMain
    self.updateSidebarTab[tab]()
  File "/usr/lib/python2.6/site-packages/spe/_spe/Child.py", line 916, in updateTodo
    self.todo.DeleteAllItems()
  File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 14586, in __getattr__
    raise PyDeadObjectError(self.attrStr % self._name)
PyDeadObjectError: The C++ part of the ListCtrl object has been deleted, attribute access no longer allowed.

Local variables in innermost frame:
self: wxPython wrapper for DELETED ListCtrl object! (The C++ object no longer exists.)
args: ('DeleteAllItems',)
Comment 1 Phil V 2010-07-16 20:19:28 EDT
Created attachment 432524 [details]
File: backtrace
Comment 2 MERCIER Jonathan 2010-08-26 10:53:57 EDT
can you try with nerw release?
Comment 3 MERCIER Jonathan 2010-08-26 10:55:14 EDT
*** Bug 615220 has been marked as a duplicate of this bug. ***
Comment 4 Phil V 2010-09-23 11:19:37 EDT
Jonathan? What new release? I yum erase'd and yum install'd and got the same version back.

Had a new crash matching this bug report.
spe 0.8.4.h-6.fc12

  Installing     : spe-0.8.4.h-6.fc12.noarch                                                                                                                                 1/1 
Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/gnome-default-handler" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/normal" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Comment 5 Phil V 2010-09-26 18:30:15 EDT
Does it matter that the installed package says .fc12 
and I am running f13?

there does not seem to be a f13 version available in repo: fedora.
yum automatically selected this version.
Comment 6 MERCIER Jonathan 2010-12-23 04:35:41 EST
ok i will see this problem after 27 december
thanks for your reply
Comment 7 MERCIER Jonathan 2011-06-01 08:06:19 EDT
spe developper do not maintain anymore
Comment 8 Bug Zapper 2011-06-01 09:40:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.